# Update User

Update an end-user by their ID.

Endpoint: PUT /user
Version: 0.0.1
Security: BearerAuth

## Request fields (application/json):

  - `user_id` (string)
    ID of the end-user in your system
    Example: user_123

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for the user in your system
    Example: user_123456

  - `user_type` (string, required)
    Type of user
    Enum: "end_user"

  - `name` (string)
    User's display name
    Example: Jane Doe

  - `email` (string)
    User's email address
    Example: jane.doe@example.com

  - `photo_url` (string)
    URL to user's avatar/profile picture (displayed in Fin Messenger)
    Example: https://example.com/avatars/jane.jpg

